Skip site navigation (1) Skip section navigation (2)

Re: pgAdmin III commit: Ensure the embedded version of OGL builds properly

From: Peter Geoghegan <peter(dot)geoghegan86(at)gmail(dot)com>
To: Dave Page <dpage(at)pgadmin(dot)org>
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: pgAdmin III commit: Ensure the embedded version of OGL builds properly
Date: 2011-02-17 02:57:30
Message-ID: AANLkTikqCnw-drhWicxWRsFtMF_baj-LxgESJNjjCu1Z@mail.gmail.com (view raw or flat)
Thread:
Lists: pgadmin-hackers
This commit has eliminated the remaining OGL related warnings that I
mentioned on the main phase 2 thread, that are described here:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39159.

I now build pgAdmin warning free on g++ 4.5.1.

I incorrectly assumed that attributes were consistent between
declaration and definition, as they apparently were for the poster of
that bug report.

-- 
Regards,
Peter Geoghegan

In response to

Responses

pgadmin-hackers by date

Next:From: Dave PageDate: 2011-02-17 08:50:46
Subject: Re: pgAdmin III commit: Ensure the embedded version of OGL builds properly
Previous:From: Peter GeogheganDate: 2011-02-17 02:40:37
Subject: Re: wxOGL licence change

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group